import { XmlSaxParser, XmlSaxParserElemHandler, XmlSaxParserValueHandler } from '../types/XmlSaxParser.js';
export interface JsXmlSaxParserOptions {
    treeDelimiter?: string;
    highWaterMark?: number;
    debug?: boolean;
}
export declare class JsXmlSaxParser implements XmlSaxParser {
    #private;
    options: JsXmlSaxParserOptions;
    delimiter: string;
    constructor(options?: JsXmlSaxParserOptions);
    getDelimiter(): string;
    isStopped(): boolean;
    setElemHanlder(handler: XmlSaxParserElemHandler): this;
    removeElemHandler(): this;
    setValueHandler(handler: XmlSaxParserValueHandler): this;
    removeValueHandler(): this;
    removeHandlers(): this;
    start(): Promise<void>;
    write(chunk: string): void;
    stop(): void;
}
